Page 1 of 1

Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 1:06 pm
by ronsmeyer
So I went through the recommended process of removing PPA's, downgrading packages and so on. I thankfully, took all the before and after Timeshift snapshots. For the most part the upgrade went smoothly and almost everything looked good. Until I tried to start Virtual Box. I found that Virtual Box had been removed. I thought I'd just reinstall it. But here is the problem. I downloaded the VB Ubuntu 19.10 / 20.04 package from the VB website. But the Package Installer just froze completely. There was a red bar at the top with no text, no errors, and the "install" button was grayed out. No Virtual Box is a show-stopper for me. I must have my Windows 10 VM. I only use it for Quicken and Turbo Tax but I must have those two applications. Thankfully I was able to Timeshift and get back to 19.3 and all is well.

My question then becomes, did I do something wrong? Has anyone else had issues with the Mint 20 upgrade messing up an existing installation of Virtual Box. Or maybe I should not have downgraded all those packages? Any ideas?

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 1:12 pm
by vishgaur
Many things do break during upgrade. You must always do a clean install after backing up everything.

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 1:15 pm
by smurphos
Hi, you are the second person to report this in the last few days.

I can confirm that adding the Oracle repo to your software sources works fine in Mint 20.

Code: Select all

echo "deb [arch=amd64] https://download.virtualbox.org/virtualbox/debian focal contrib" | sudo tee -a /etc/apt/sources.list 

Code: Select all

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add - 

Code: Select all

apt update 

Code: Select all

apt install virtualbox-6.1

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 1:40 pm
by smurphos
Also would you mind testing something for me?

Does running

Code: Select all

apt install python-is-python2
Before trying to install the downloaded deb allow it to install?

This is a issue with Oracle's packaging for Ubuntu 20.04 - the deb is marked as dependent on python, when it probably should be python3.

Edit scrap that - it doesn't allow Gdebi to install the deb...

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 1:55 pm
by smurphos
To be honest I'd be tempted to stick with the official repo version of Virtualbox until oracle sort themselves out - its also offering the latest 6.1.10...

Code: Select all

apt install virtualbox

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 4:21 pm
by ronsmeyer
Ok. Thank you. I will try those things when I get back to it. But I won't have time again for a few days.

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Jul 13, 2020 9:21 pm
by ronsmeyer
One additional piece of info. I have two Mint computers: my main desktop machine that I had the problems with, and a laptop that I don't really use for a lot. The laptop did not have Virtual Box on it at all when I upgraded to 20 last week sometime. As an experiment, I tried to install V.B. on the laptop and the Package Installer functioned as expected. It did install two additional packages. They are:
python-is-python2=2.17.7-4
libqtopengl5=5.12.18+dfsg-0ubuntu1


It seems odd that on the desktop machine the Package Installer just locks up. I don't understand that. If it had just installed those two dependencies all would have been well. Or maybe there is an issue with the Package Installer itself that happened during the upgrade.

I don't know if that is helpful or not.

Re: Mint 20 upgrade lost Virtual Box

Posted: Tue Jul 14, 2020 1:17 am
by smurphos
ronsmeyer wrote:
Mon Jul 13, 2020 9:21 pm
I don't know if that is helpful or not.
It is helpful - to be honest I'm not 100% sure if this is a problem with Oracle's packaging and the way they are defining dependencies, or a problem with GDEBI or not. It's definitely bad packaging practise to require the python-is-python2 package in Ubuntu 20.4 / Mint 20, and I'm not sure if that could potentially have an impact on other packages

Although i said installing from the repo is fine it does actually have some quirks - the main one being trying to remove it again tends to hang for several minutes.

Re: Mint 20 upgrade lost Virtual Box

Posted: Wed Jul 15, 2020 12:15 am
by smurphos
smurphos wrote:
Mon Jul 13, 2020 1:55 pm
To be honest I'd be tempted to stick with the official repo version of Virtualbox until oracle sort themselves out - its also offering the latest 6.1.10...
Maybe not - it adds about 4 seconds to my boot time by inserting a service which drags network-wait-online into the critical-chain.

Re: Mint 20 upgrade lost Virtual Box

Posted: Wed Jul 15, 2020 2:35 am
by lyca
First, import the public key of the Oracle VirtualBox repository on your system, and later add VirtualBox Repository

Code: Select all

wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | sudo apt-key add -
Add the VirtualBox repository

Code: Select all

echo "deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian focal contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list
Update the repository index

Code: Select all

sudo apt update
Install the VirtualBox using the apt command.

Code: Select all

sudo apt install -y virtualbox-6.1
Verify the VirtualBox Linux kernel module service status to ensure the VirtualBox installation is successful.

Code: Select all

sudo systemctl status vboxdrv
Now, start the VM (either via GUI (Menu » Administration » Oracle VM VirtualBox) or write the command on the terminal) and you will find old VMs in your virtual box

Code: Select all

virtualbox

Re: Mint 20 upgrade lost Virtual Box

Posted: Wed Jul 15, 2020 12:21 pm
by elmarts
smurphos wrote:
Mon Jul 13, 2020 1:55 pm
To be honest I'd be tempted to stick with the official repo version of Virtualbox until oracle sort themselves out - its also offering the latest 6.1.10...

Code: Select all

apt install virtualbox
I've been getting errors whenever the autoupdate system tried to update virtualbox. I get errors when I try to reinstall it from the package manager, and doing the apt install virtualbox returns error code (1). And I can't uninstall gnucash 3.8 as a result (need to downgrade since the 3.8 version aqbanking module fails). Specifically:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
virtualbox is already the newest version (6.1.10-dfsg-1~ubuntu1.20.04.1).
The following packages were automatically installed and are no longer required:
  gnucash-common guile-2.2-libs libalgorithm-c3-perl libaqbanking-data
  libaqbanking44 libboost-regex1.71.0 libclass-c3-perl
  libclass-data-inheritable-perl libclass-inspector-perl
  libclass-singleton-perl libdata-optlist-perl libdate-manip-perl
  libdatetime-format-strptime-perl libdatetime-locale-perl libdatetime-perl
  libdatetime-timezone-perl libdbi1 libeval-closure-perl
  libexception-class-perl libfile-sharedir-perl libfinance-quote-perl
  libgwengui-gtk3-0 libgwenhywfar-data libgwenhywfar79
  libhtml-tableextract-perl libjson-parse-perl libmro-compat-perl
  libnamespace-autoclean-perl libofx7 libparams-util-perl
  libparams-validationcompiler-perl libspecio-perl libsub-exporter-perl
  libsub-install-perl libxstring-perl
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up virtualbox-dkms (6.1.10-dfsg-1~ubuntu1.20.04.1) ...
Removing old virtualbox-6.1.10 DKMS files...

------------------------------
Deleting module version: 6.1.10
completely from the DKMS tree.
------------------------------
Done.
Loading new virtualbox-6.1.10 DKMS files...
Building for 5.0.0-20-generic 5.4.0-40-generic
Building initial module for 5.0.0-20-generic
Error! Bad return status for module build on kernel: 5.0.0-20-generic (x86_64)
Consult /var/lib/dkms/virtualbox/6.1.10/build/make.log for more information.
dpkg: error processing package virtualbox-dkms (--configure):
 installed virtualbox-dkms package post-installation script subprocess returned 
error exit status 10
dpkg: dependency problems prevent configuration of virtualbox:
 virtualbox depends on virtualbox-dkms (>= 6.1.10-dfsg-1~ubuntu1.20.04.1) | virt
ualbox-source (>= 6.1.10-dfsg-1~ubuntu1.20.04.1) | virtualbox-modules; however:
  Package virtualbox-dkms is not configured yet.
  Package virtualbox-source is not installed.
  Package virtualbox-modules is not installed.
  Package virtualbox-dkms which provides virtualbox-modules is not configured ye
t.

dpkg: error processing package virtualbox (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of virtualbox-ext-pack:
 virtualbox-ext-pack depends on virtualbox (>= 6.1.10-dfsg-0~) | virtualbox-6.1;
 however:
  Package virtualbox is not configured yet.
  Package virtualbox-6.1 is not installed.
 virtualbox-ext-pack depends on virtualbox (<< 6.1.10-dfsg-z) | virtualbox-6.1; 
however:
  Package virtualbox is not configured yet.
  Package virtualbox-6.1 is not installed.

dpkg: error processing package virtualbox-ext-pack (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 virtualbox-dkms
 virtualbox
 virtualbox-ext-pack
E: Sub-process /usr/bin/dpkg returned an error code (1)
help?

Re: Mint 20 upgrade lost Virtual Box

Posted: Sat Jul 18, 2020 5:16 pm
by ronsmeyer
Following the instructions posted by "lyca" I was able to get VBox up and running. That solves the immediate problem of being able to install it, but the original problem of the Package Installer freezing up still exists. I posted on the Virtual Box forum about it. Hopefully, they'll have more insight. I also noticed another post about Ubuntu 20.04 users having some install issues as well. For the time being, things are working.

Re: Mint 20 upgrade lost Virtual Box

Posted: Mon Sep 28, 2020 4:18 pm
by 1markmask
I had the same thing happen so I followed the instructions posted by "lyca" I was back up an running in no time!
Thanks Lyca!